<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title></title>
    <style>


        /*html, body, #map, #map_wrap {*/
            /*height: 100%;*/
            /*width:100%;*/
        /*}*/
        #map{
            width: 500px;
            height: 300px;
        }
    </style>
</head>
<body>


<div class="map_wrap">
    <div class="siderbarmap">
        <ul>
            <input id="monumentoCheckbox" type="checkbox" onclick="toggleGroup('monumento')" checked="checked">
            <input id="museusCheckbox" type="checkbox" onclick="toggleGroup('museus')" checked="checked">
            <input id="restaurantesCheckbox" type="checkbox" onclick="toggleGroup('restaurantes')" checked="checked">
            <input id="hotelCheckbox" type="checkbox" onclick="toggleGroup('hotel')" checked="checked">
        </ul>
    </div>
    <div id="map" style="z-index: 1;"></div>
</div>




<script src="http://maps.googleapis.com/maps/api/js"></script>
<script>
    function xmlParse(str) {
        if (typeof ActiveXObject != 'undefined' && typeof GetObject != 'undefined') {
            var doc = new ActiveXObject('Microsoft.XMLDOM');
            doc.loadXML(str);
            return doc;
        }

        if (typeof DOMParser != 'undefined') {
            return (new DOMParser()).parseFromString(str, 'text/xml');
        }

        return createElement('div', null);
    }

    var customIcons = {
        monumento: {
            icon: 'http://maps.google.com/mapfiles/ms/icons/blue.png'
        },
        hotel: {
            icon: 'http://maps.google.com/mapfiles/ms/icons/green.png'
        },
        restaurantes: {
            icon: 'http://maps.google.com/mapfiles/ms/icons/yellow.png'
        },
        museus: {
            icon: 'http://maps.google.com/mapfiles/ms/icons/purple.png'
        }
    };

    var markerGroups = {
        "museus": [],
        "monumentos": [],
        "restaurantes": [],
        "hotel": []
    };



    function load() {
        var map = new google.maps.Map(document.getElementById("map"), {
            center: new google.maps.LatLng(38.639104, -8.210413),
            zoom: 12,
            mapTypeId: 'roadmap'
        });
        var infoWindow = new google.maps.InfoWindow();






        //         downloadUrl("markers.xml", function (data) {
        var xml = xmlParse('<markers><marker name="Castelo" address="Rua da Condessa de Valença" lat="38.64351973190569" lng="-8.216521812152905" type="monumento" /><marker name="Anta 1 de Tourais" address="Estrada Nacional 114" lat="38.64260059929888" lng="-8.159376865959189" type="monumento" /><marker name="Hotel da Ameira" address="Herdade da Ameira" lat="38.64109640475479" lng="-8.180432206726096" type="hotel" /><marker name="Hotel Montemor" address="Avenida Gago Coutinho 8, 7050-248 Montemor-o-Novo" lat="38.64925541964039" lng="-8.216489625644726" type="hotel" /><marker name="Restaurante Monte Alentejano" address="Av. Gago Coutinho 8" lat="38.6492329" lng="-8.216665" type="restaurantes" /><marker name="Restaurante A Ribeira" address="Rua de São Domingos" lat="38.6347498199708" lng="-8.206468892765088" type="restaurantes" /><marker name="Núcleo Museológico do Convento de S. Domingos" address="" lat="38.643139" lng="-8.212732" type="museus" /><marker name="Centro Interpretativo do Castelo de Montemor-o-Novo" address="Rua Condessa de Valença" lat="38.64258748216167" lng="-8.21467108793263" type="museus" /></markers>');
        // var xml = data.responseXML;
        var markers = xml.documentElement.getElementsByTagName("marker");
        for (var i = 0; i < markers.length; i++) {
            var name = markers[i].getAttribute("name");
            var address = markers[i].getAttribute("address");
            var type = markers[i].getAttribute("type");

            var point = new google.maps.LatLng(
                    parseFloat(markers[i].getAttribute("lat")),
                    parseFloat(markers[i].getAttribute("lng")));
            var html = "<b>" + name + "</b> <br/>" + address;
            // var icon = customIcons[type] || {};
            var marker = createMarker(point, name, address, type, map);
//            bindInfoWindow(marker, map, infoWindow, html);
        }
        // });
    }

    function createMarker(point, name, address, type, map) {
        var icon = customIcons[type] || {};
        var marker = new google.maps.Marker({
            map: map,
            position: point,
            icon: icon.icon,
            // shadow: icon.shadow,
            type: type
        });
        if (!markerGroups[type]) markerGroups[type] = [];
        markerGroups[type].push(marker);
        var html = "<b>" + name + "</b> <br/>" + address;
//        bindInfoWindow(marker, map, infoWindow, html);
        return marker;
    }

    function toggleGroup(type) {
        for (var i = 0; i < markerGroups[type].length; i++) {
            var marker = markerGroups[type][i];
            if (!marker.getVisible()) {
                marker.setVisible(true);
            } else {
                marker.setVisible(false);
            }
        }
    }
    function doNothing() {}
    google.maps.event.addDomListener(window, 'load', load);
</script>
</body>



</html>
